Arduino

Serial

## peek()

#### Description

Returns the next byte (character) of incoming serial data without removing it from the internal serial buffer. That is, successive calls to peek() will return the same character, as will the next call to read(). peek() inherits from the Stream utility class.

#### Syntax

Serial.peek()

Arduino Mega only:
Serial1.peek()
Serial2.peek()
Serial3.peek()

### Parameters

None

#### Returns

the first byte of incoming serial data available (or -1 if no data is available) - int

#### See also

- Serial.available()
- Serial.flush()
- Serial.read()
- Stream.peek()

Reference Home

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes